Bug 1751861 - usbguard shuts down or hangs after idle time with screen locked
Summary: usbguard shuts down or hangs after idle time with screen locked
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: usbguard
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Kopeček
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-12 18:37 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2019-12-19 01:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github USBGuard usbguard issues 261 'None' 'open' 'EINTR causes: sigwaitinfo failed: errno=4; Shutting down.' 2019-12-04 21:43:55 UTC

Description Dominik 'Rathann' Mierzejewski 2019-09-12 18:37:23 UTC
Description of problem:
When I return to my laptop after a period of idle time (an hour or more) and screen is locked, I find I'm unable to use external keyboard and mouse connected to the machine via the USB hub in my monitor. Internal keyboard keeps working, so I'm able to unlock. When that happens I find that usbguard is either down or hanging. Restarting usbguard service brings the external devices to life again.

Version-Release number of selected component (if applicable):
usbguard-0.7.2-7.fc30.x86_64

How reproducible:
Often.

Steps to Reproduce:
1. Have an external USB mouse/keyboard connected to a laptop via an USB hub in a monitor
2. Whitelist them in usbguard
3. Leave the machine idle for a while
4. Try to unlock the screen

Actual results:
External USB keyboard and mouse are unresponsive, only internal keyboard and touchpad work.

Expected results:
External USB keyboard and mouse work as usual.

Additional info:
The following can be seen in the usbguard service journal:
Sep 11 10:20:31 usbguard-daemon[11714]: sigwaitinfo failed: errno=4; Shutting down.

And today I found a new one:
Sep 12 16:46:59 usbguard-daemon[1155]: ueventProcessRead: failed to read pending uevent: rc=-1 errno=105
Sep 12 16:46:59 usbguard-daemon[1155]: UEventDeviceManager thread: UEvent device manager: recvmsg: No buffer space available

Comment 1 Dominik 'Rathann' Mierzejewski 2019-09-12 18:46:00 UTC
Possibly related upstream issue.

Comment 2 Fedora Update System 2019-11-29 10:04:19 UTC
FEDORA-2019-d4c4bf697a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d4c4bf697a

Comment 3 Fedora Update System 2019-11-30 01:19:50 UTC
usbguard-0.7.6-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d4c4bf697a

Comment 4 Fedora Update System 2019-12-02 13:01:16 UTC
FEDORA-2019-d4c4bf697a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d4c4bf697a

Comment 5 Fedora Update System 2019-12-03 00:53:36 UTC
usbguard-0.7.6-5.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d4c4bf697a

Comment 6 Fedora Update System 2019-12-19 01:09:58 UTC
usbguard-0.7.6-6.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d4c4bf697a


Note You need to log in before you can comment on or make changes to this bug.